import javax.microedition.lcdui.*;

public class ColorItem extends CustomItem {
    private int color = 0;
    private String text = "";
    
    public ColorItem(int color, String text){
        super("");
        this.color = color;
        this.text = text;
    }

    public void paint(Graphics g, int width, int height) {
        g.setFont(Font.getFont(Font.FACE_SYSTEM, Font.STYLE_BOLD, Font.SIZE_SMALL));
        if (color >= 0xf4f4f4) { // if the color is almost white, black background is drawn.
            g.setColor(0x000000);
            g.fillRect(0, 0, width, height);
        }
        else if (color == 0) { // if the color is black, white background is drawn.
            g.setColor(0xFFFFFF);
            g.fillRect(0, 0, width, height);
        
        }
        g.setColor(color);
        g.drawString(text, 0, 0, Graphics.TOP|Graphics.LEFT);
    }     

    protected String getText() {
        return text;
    }

    protected int getColor() {
        return color;
    }    
    
    protected int getMinContentWidth() {
        return 240;    
    }

    protected int getMinContentHeight() {
        return 20; // Small system font
    }

    protected int getPrefContentWidth(int arg0) {
        return 240;    
    }

    protected int getPrefContentHeight(int arg0) {
        return 20; // Small system font
    }
    
    protected void keyPressed(int keyCode) {
        notifyStateChanged();
    }

    protected void pointerReleased(int x, int y) {
        notifyStateChanged();
    }
}
